Update a User
Partially update an existing user. If you change the users email or phone, you can specify how the ownership should be verified. If you change the users password, you can specify if the password should be changed again on the users next login.
Required permission:
- user.write
Path Parameters
The user id is the users unique identifier in the instance. It can't be changed.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://loading/v2/users/string" \ -H "Content-Type: application/json" \ -d '{ "human": {} }'{
"changeDate": "2023-01-15T01:30:15.01Z",
"emailCode": "string",
"phoneCode": "string"
}Was this page helpful?
Unlock user
Unlock user: The state of the user will be changed to 'active'. The user will be able to log in again. The endpoint returns an error if the user is not in the state 'locked'.
Update User (Human)
Update User (Human): Deprecated: Use [UpdateUser](/reference/api/user/zitadel.user.v2.UserService.UpdateUser) to update a user. Update all information from a user.